Subject: git base64 repo conversion tool

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 13 Apr 2005 15:48:48 -0700

I realized writing a git repository conversion tool is actually quite 
trivial in Perl, so I wrote one up and tried it on the git repo included 
in the git-0.04 tarball.  It fsck-cache's cleanly on both the nonflat 
and flat base64 patches, at least after I had fixed a minor bug in 
fsck-cache in the nonflat patch (now uploaded.)

It takes an source and a target object directory as arguments.  By 
default it is set up for non-flat representation; change $flat = 0; to 
$flat = 1; near the top to use flat representation.

ftp://ftp.kernel.org/pub/linux/kernel/people/hpa/gitcvt

Comments appreciated, of course.

	-hpa